GTGPaje_Basic.h File Reference

paje_GTGBasic1 is the Paje implementation of the basic interface to generate traces (GTGBasic1). More...

`#include "GTGBasic.h"`

Go to the source code of this file.

## Data Structures

struct | gtg_paje_edp_s
struct | gtg_paje_eventdef_s

## Macros

#define | FMT_PAJE 0
| Constant to create a paje trace. More...
#define | FMT_VITE 1
| Constant to create a vite trace. More...

## Typedefs

typedef struct gtg_paje_edp_s | gtg_paje_edp_t
typedef struct gtg_paje_eventdef_s | gtg_paje_eventdef_t

## Enumerations

enum

gtg_paje_evtdef_e {
GTG_PAJE_EVTDEF_DefineContainerType, GTG_PAJE_EVTDEF_DefineStateType, GTG_PAJE_EVTDEF_DefineEventType, GTG_PAJE_EVTDEF_DefineVariableType,
GTG_PAJE_EVTDEF_DefineLinkType, GTG_PAJE_EVTDEF_DefineEntityValue, GTG_PAJE_EVTDEF_CreateContainer, GTG_PAJE_EVTDEF_DestroyContainer,
GTG_PAJE_EVTDEF_SetState, GTG_PAJE_EVTDEF_PushState, GTG_PAJE_EVTDEF_PopState, GTG_PAJE_EVTDEF_ResetState,
GTG_PAJE_EVTDEF_NewEvent, GTG_PAJE_EVTDEF_SetVariable, GTG_PAJE_EVTDEF_AddVariable, GTG_PAJE_EVTDEF_SubVariable,
GTG_PAJE_EVTDEF_StartLink, GTG_PAJE_EVTDEF_EndLink, GTG_PAJE_EVTDEF_NBR
}

enum | gtg_paje_fieldtype_e { GTG_PAJE_FIELDTYPE_Int, GTG_PAJE_FIELDTYPE_Hex, GTG_PAJE_FIELDTYPE_Date, GTG_PAJE_FIELDTYPE_Double, GTG_PAJE_FIELDTYPE_String, GTG_PAJE_FIELDTYPE_Color, GTG_PAJE_FIELDTYPE_NBR }

## Functions

trace_return_t | pajeInitTrace (const char *filename, int rank, gtg_flag_t flags, int fmt)
| Initialize a VITE trace ( *.ept) More...
char * | pajeGetName (int rk)
| Function to get the name of the file containing all the data for the proc of rank rk. More...
trace_return_t | pajeSetCompress (int val)
| Enable trace compression. More...
trace_return_t | pajeAddContType (const char *alias, const char *contType, const char *name)
| Add a Container Type. More...
trace_return_t | pajeAddStateType (const char *alias, const char *contType, const char *name)
| Add a State Type. More...
trace_return_t | pajeAddEventType (const char *alias, const char *contType, const char *name)
| Add an Event Type. More...
trace_return_t | pajeAddLinkType (const char *alias, const char *name, const char *contType, const char *srcContType, const char *destContType)
| Add a Link Type. More...
trace_return_t | pajeAddVarType (const char *alias, const char *contType, const char *name)
| Add a Variable Type. More...
trace_return_t | pajeAddEntityValue (const char *alias, const char *entType, const char *name, const char *color)
| Add an Entity Value. More...
trace_return_t | pajeAddContainer (varPrec time, const char *alias, const char *type, const char *container, const char *name, const char *file)
| Add a Container (VITE format). More...
trace_return_t | pajeSeqAddContainer (varPrec time, const char *alias, const char *type, const char *container, const char *name)
| Add a Container (PAJE format). More...
trace_return_t | pajeDestroyContainer (varPrec time, const char *name, const char *type)
| Destroy a Container. More...
trace_return_t | pajeSetState (varPrec time, const char *type, const char *cont, const char *val)
| Set the State of a Container. More...
trace_return_t | pajePushState (varPrec time, const char *type, const char *cont, const char *val)
| Save the current State on a stack and change the State of a Container. More...
trace_return_t | pajePopState (varPrec time, const char *type, const char *cont)
| Revert the State of a Container to its previous value. More...
trace_return_t | pajeAddEvent (varPrec time, const char *type, const char *cont, const char *val)
| Add an Event. More...
trace_return_t | pajeStartLink (varPrec time, const char *type, const char *cont, const char *src, const char *val, const char *key)
| Start a link. More...
trace_return_t | pajeEndLink (varPrec time, const char *type, const char *cont, const char *dest, const char *val, const char *key)
| Start a link. More...
trace_return_t | pajeSetVar (varPrec time, const char *type, const char *cont, varPrec val)
| Set a Variable value. More...
trace_return_t | pajeAddVar (varPrec time, const char *type, const char *cont, varPrec val)
| Add a value to a Variable. More...
trace_return_t | pajeSubVar (varPrec time, const char *type, const char *cont, varPrec val)
| Substract a value from a Variable. More...
trace_return_t | pajeAddComment (const char *comment)
| Add some Comment in Trace file. More...
trace_return_t | pajeEndTrace ()
| Finalize a PAJE trace. More...
trace_return_t | viteEndTrace ()
| Finalize a VITE trace. More...
void | pajeEventDefAddParam (enum gtg_paje_evtdef_e event, const char *name, enum gtg_paje_fieldtype_e type)

## Variables

gtg_paje_eventdef_t | paje_eventdefs [GTG_PAJE_EVTDEF_NBR]

## Detailed Description

paje_GTGBasic1 is the Paje implementation of the basic interface to generate traces (GTGBasic1).

Version
  0.1

Authors
  Developers are :
  Francois Rue - franc.nosp@m.ois..nosp@m.rue@l.nosp@m.abri.nosp@m..fr
  Francois Trahay - franc.nosp@m.ois..nosp@m.traha.nosp@m.y@la.nosp@m.bri.f.nosp@m.r
  Johnny Jazeix - jazei.nosp@m.x@en.nosp@m.seirb.nosp@m.-mat.nosp@m.meca..nosp@m.fr
  Kevin Coulomb - kevin.nosp@m..cou.nosp@m.lomb@.nosp@m.gmai.nosp@m.l.com
  Mathieu Faverge - faver.nosp@m.ge@l.nosp@m.abri..nosp@m.fr
  Olivier Lagrasse - lagra.nosp@m.sse@.nosp@m.ensei.nosp@m.rb-m.nosp@m.atmec.nosp@m.a.fr

## Macro Definition Documentation

#define FMT_PAJE 0

Constant to create a paje trace.

#define FMT_VITE 1

Constant to create a vite trace.

## Typedef Documentation

typedef struct gtg_paje_edp_s gtg_paje_edp_t

typedef struct gtg_paje_eventdef_s gtg_paje_eventdef_t

## Enumeration Type Documentation

enum gtg_paje_evtdef_e

Enumerator
GTG_PAJE_EVTDEF_DefineContainerType |
GTG_PAJE_EVTDEF_DefineStateType |
GTG_PAJE_EVTDEF_DefineEventType |
GTG_PAJE_EVTDEF_DefineVariableType |
GTG_PAJE_EVTDEF_DefineLinkType |
GTG_PAJE_EVTDEF_DefineEntityValue |
GTG_PAJE_EVTDEF_CreateContainer |
GTG_PAJE_EVTDEF_DestroyContainer |
GTG_PAJE_EVTDEF_SetState |
GTG_PAJE_EVTDEF_PushState |
GTG_PAJE_EVTDEF_PopState |
GTG_PAJE_EVTDEF_ResetState |
GTG_PAJE_EVTDEF_NewEvent |
GTG_PAJE_EVTDEF_SetVariable |
GTG_PAJE_EVTDEF_AddVariable |
GTG_PAJE_EVTDEF_SubVariable |
GTG_PAJE_EVTDEF_StartLink |
GTG_PAJE_EVTDEF_EndLink |
GTG_PAJE_EVTDEF_NBR |

enum gtg_paje_fieldtype_e

Enumerator
GTG_PAJE_FIELDTYPE_Int |
GTG_PAJE_FIELDTYPE_Hex |
GTG_PAJE_FIELDTYPE_Date |
GTG_PAJE_FIELDTYPE_Double |
GTG_PAJE_FIELDTYPE_String |
GTG_PAJE_FIELDTYPE_Color |
GTG_PAJE_FIELDTYPE_NBR |

## Function Documentation

void pajeEventDefAddParam | ( | enum gtg_paje_evtdef_e | event,
|  | const char * | name,
|  | enum gtg_paje_fieldtype_e | type
| ) |  |

## Variable Documentation

gtg_paje_eventdef_t paje_eventdefs[GTG_PAJE_EVTDEF_NBR]